package com.dayou.service;
import com.dayou.entity.OrderFund;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import org.springframework.web.multipart.MultipartFile;

import java.math.BigDecimal;

/**
 * <p>
 * 订单应收款 服务类
 * </p>
 *
 * @author wucl
 * @since 2023-12-14
 */
public interface IOrderFundService extends IService<OrderFund> {

        Page<OrderFund> selectPage(Page page,OrderFund orderFund);

        OrderFund detail(Long id);

        Boolean add(OrderFund orderFund);

        Boolean update(OrderFund orderFund);

        Boolean delete(Long id);

        BigDecimal residueNotAllotAmount(Long orderFundId);



}
